/*
 * aquariosCustos.h
 *
 *  Created on: 12/12/2015
 *      Author: JUANENRIQUE
 */

#ifndef INC_AQUARIOSCUSTOS_H_
#define INC_AQUARIOSCUSTOS_H_

#include "FreeRTOS.h"
#include "LPC17xx.h"
#include <task.h>
#include <queue.h>
#include <semphr.h>
#include <string.h>

#include "gpio.h"
#include "onewire.h"
#include "utils.h"
#include "printf.h"
#include "log.h"
#include "reles.h"

#define maxVersion	1
#define minVersion	0

/* Initialization of HW variables */
#define SERIALPORT 3
#define SERIALSPEED 9600

#define USESERIALLOG 	0
#define LOGSERIALPORT	1
#define LOGSERIALSPEED	9600

/* DS18S20 Temperature sensor */
#define SENSORS 1
#define ADCLIGHT	0 // AD0.0
#define SENSORSERIALNO 	0x83000006b4faba28
RomType t_sensor[SENSORS];

/* Define PH Information */
#define ADCPH	1	// AD0.1

/* Feed Parameters */
#define MAXFEEDS	10


#define panelSHOW_FREQUENCY_MS			( 10000 / portTICK_RATE_MS )	// cada 10 segundos
#define envlightREAD_FREQUENCY_MS		( 1000 / portTICK_RATE_MS )		// cada  1 segundos
#define tempREAD_FREQUENCY_MS			( 10000 / portTICK_RATE_MS )		// cada  5 segundos
#define checkREAD_FREQUENCY_MS			( 2000 / portTICK_RATE_MS )		// cada  2 segundos


// Includes from control.c to be exported

/** Print via serial port the main menu of the system
 *
 * no parameters
 *
 * no return
 */
void Panel_Print(void);

/** Check the threshold of all the indicators. Check time events and execute them
 *
 * no parameters
 *
 * no return
 */
void CompruebaUmbralesAcciones(void);

/* Local function definition */
void UpdateTemp(void);
void UpdatePH(void);
void UpdateFeed(void);
void UpdateDate(void);
void UpdateLight(void);


#endif /* INC_AQUARIOSCUSTOS_H_ */
