/**
 * Arp@LAB management module.
 * module to get and send information via WiFly to ArpaLab
 *
 * Juan E. Gómez Pérez
 * UOC - TFG Sistemas Embebidos
 *
 * revision 1.0 date 20/10/2015
 */

#ifndef ARPALAB_H_
#define ARPALAB_H_

/**
 * Initialize arp@lab with HTTP Module in WiFly
 *
 * @No Param
 *
 * @return 		The integer of the received DATA
 */
int8_t arpalab_initialize(void);

/** GET a random data from ARPALAB
 * 	Pending to control that i receive an HTTP Return code 200
 *
 * @No Param
 *
 * @return 		The integer of the received DATA
 */
int32_t arpalab_getdata(void);

/** Send a data to the Arp@Lab platform
 *
 * @NID			Arp@lab NID parameter
 * @lIP			Arp@lab IP source defined by user
 * @lAPP		Arp@lab	APP name to be registered
 * @lData		Data to be set on the Arp@lab. Must i use a double long number?
 *
 * @return 		HTTP response code, 200 for success otherwise for error
 */
int32_t arpalab_setdata(uint32_t NID, char *lIP, char *lAPP, float lData);

#endif /* ARPALAB_H_ */
