/**
 * LOG management module
 * 		Log manager via serial port.
 * 		This module allows you to establish a serial connection via
 * 		LPC UART selecting port 0, 1 or 3
 * 		The methods provided will allow to print log strings over
 * 		the initialized port
 *
 * Juan E. Gómez Pérez
 * UOC - TFG Sistemas Embebidos
 *
 * revision 1.0 date 20/10/2015
 */

#ifndef OLDSERIAL_LIB_INC_LOG_HANDLER_H_
#define OLDSERIAL_LIB_INC_LOG_HANDLER_H_

/** Initialize log module against an UART port
 *
 * @PortNum		UART port number to send debug data
 * @baudrate	UART baudrate on which we will send debug data
 *
 * @return 		void
 */
void Log_Start(uint8_t PortNum, uint32_t baudrate);

/** Send a formated string to a UART port previously defined
 * Pending to check if the log uart port has been initialized <<<<****<<<<
 *
 * @cadena_log		string to be sent to the port
 * @...				format string or whatever
 *
 * @return 		void
 */
void Log_Log(char *cadena_log, ...);

#endif /* OLDSERIAL_LIB_INC_LOG_HANDLER_H_ */
