/**
 * Library dedicated to the management of the connected RELES
 *
 *
 * Juan E. Gómez Pérez
 * UOC - TFG Sistemas Embebidos
 *
 * revision 1.0 date 22/12/2015
 */


#ifndef RELES_H_
#define RELES_H_

#include "LPC17xx.h"
#include "gpio.h"
#include "utils.h"

#define RELELUZ			25 // P0.27 -> Pin 25 físico
#define RELEALIMENTA	26 // P0.28 -> Pin 26 físico

/** Changes the status of the GPIO pin, so the rele is open or closed to produce the desired action. here is to swicth on lights.
 *
 * @estado		1 for Raise the pin (+3.3v), 0 to lower the pin (0v)
 *
 * @return 		pin status, 1 for high state, and 0 for low state
 */
uint8_t lights_Switch(uint8_t estado);

/** Changes the status of the GPIO pin, so the rele is open or closed to produce the desired action. here is to activate feeder.
 *
 * @estado		1 for Raise the pin (+3.3v), 0 to lower the pin (0v)
 *
 * @return 		pin status, 1 for high state, and 0 for low state
 */
uint8_t feeder_Switch(uint8_t estado);

#endif /* RELES_H_ */
