/**
 * UTILS module. Different small common functions to help with other modules
 *
 * Juan E. Gómez Pérez
 * UOC - TFG Sistemas Embebidos
 *
 * revision 1.0 date 20/10/2015
 */

#ifndef UTILS_H_
#define UTILS_H_

#define mainDELAY_LOOP_COUNT	( 0x4fffff )	// Obsolete <- Remove


/** Delay in a CPU active way a number of ms
 *
 * @ms			Number of ms to wait
 *
 * @return 		void
 */
inline void Utils_DelayMs(uint32_t ms);

/** Delay in a non CPU blocking way, number of ms to block the task
 *
 * @ms			Number of ms to wait
 *
 * @return 		void
 */
void Utils_DelayPassiveMS(uint32_t ms);

/** Search for a needle on the haystack. Returns the absolute position.
 *
 * @dondebusco		Haystack to search in
 * @quebusco		needle we search
 *
 * @return 			Absolute char position in which we find the start of the needle
 */
uint8_t Utils_BuscarCadena(char *dondebusco, char *quebusco);

/** Converts a char string into an integer
 *
 * @numero		Number to be converted
 *
 * @return 		Integer
 */
int Utils_Jatoi(char *numero);

/** Converts a char string into an float, considering decimal places
 *
 * @numero		Number to be converted
 *
 * @return 		float
 */
float Utils_Jatol(char *numero);


#endif /* UTILS_H_ */
