// --- log.c ---

/* FreeRTOS.org includes. */
#include "FreeRTOS.h"
#include "task.h"
#include "type.h"
#include <stdio.h>
#include <stdarg.h>

#include "log.h"
#include "printf.h"

uint8_t Log_serialPort;
uint32_t Log_logline = 0;

void Log_Start(uint8_t PortNum, uint32_t baudrate)
{
	Printf_Start( PortNum, baudrate);
	Printf_Print(PortNum,"LOG: Starting log module on port %i\r\n",PortNum);
	Log_serialPort = PortNum;
}

void Log_Log(char *cadena_log, ...)
{

	char buffer[256];
	va_list argumentos;

	va_start(argumentos,cadena_log);
	vsprintf(buffer,cadena_log,argumentos);
	va_end(argumentos);

	Printf_Print(Log_serialPort, "[%u] %s\n\r",Log_logline,buffer);
	Log_logline++;

}
