// --- reles.c ---

#include "reles.h"
#include "gpio.h"

/* Set HiGH the PINSEL selected on defined port and pin) */
void rele_SetPinHigh(uint8_t gpio_Port, uint8_t gpio_Pin);
/* Set LOW the PINSEL selected on defined port and pin) */
void rele_SetPinLow(uint8_t gpio_Port, uint8_t gpio_Pin);

uint8_t lights_Switch(uint8_t estado)
{

	switch (estado)
	{
	case 0:
		rele_SetPinLow(0,RELELUZ);
		break;
	case 1:
		rele_SetPinHigh(0,RELELUZ);
		break;
	}
	return estado;
}

uint8_t feeder_Switch(uint8_t estado)
{

	switch (estado)
	{
	case 0:
		rele_SetPinLow(0,RELEALIMENTA);
		break;
	case 1:
		rele_SetPinHigh(0,RELEALIMENTA);
		break;
	}
	return estado;
}

void rele_SetPinHigh(uint8_t gpio_Port, uint8_t gpio_Pin)
{

	GPIO_pin_on(gpio_Port, gpio_Pin);

}

void rele_SetPinLow(uint8_t gpio_Port, uint8_t gpio_Pin)
{

	GPIO_pin_off(gpio_Port, gpio_Pin);

}
