// --- utils.c ---

#include "LPC17xx.h"
#include "FreeRTOS.h"
#include <portmacro.h>
#include <task.h>
#include <string.h>
#include <math.h>

#include "utils.h"

/* Espera Activa - El procesador no para */
inline void Utils_DelayMs(uint32_t ms)
{
	uint32_t i;
	for(i=0; i<(((uint32_t)7140)*ms); i++);
}

/* Espera Pasiva - Espera la tarea pero dejamos la CPU libre para otras cosas */
void Utils_DelayPassiveMS(uint32_t ms)
{
	vTaskDelay(ms / portTICK_RATE_MS);
}


/* Busca una cadena, es como strstr */
uint8_t Utils_BuscarCadena(char *dondebusco, char *quebusco)
{
	uint8_t i=0; uint8_t j=0; uint8_t encontrado=0;
	uint8_t longitud1 = strlen(dondebusco);
	uint8_t longitud2 = strlen(quebusco);

	for (i=0;((i<longitud1-longitud2) && encontrado==0);i++)
	{	j=0;
		if(dondebusco[i]==quebusco[j])
		{
			/* Hemos encontrado una letra que coincide */
			while (dondebusco[i+j] == quebusco[j])
			{
				encontrado = i;
				j++;
			}
			if (j!=longitud2) encontrado=0;
		}
	}

	return encontrado;
}

/* Convierte un texto en un entero */
int Utils_Jatoi(char *numero)
{

	uint8_t i=0;
	uint8_t longitud=strlen(numero);
	uint32_t decena = 1;
	int resultado = 0;

	for (i=longitud;i>0;i--)
	{
		if (numero[i-1] == '-') { resultado = -1 * resultado; }
		else
		{
			resultado = resultado + ((numero[i-1]-48) * decena);
			decena = decena * 10;
		}
	}
	return resultado;

}

/* Convierte un texto con una coma decimal en un entero */
float Utils_Jatol(char *numero)
{

	uint8_t i=0,punto_decimal;
	uint8_t longitud=strlen(numero);
	punto_decimal = longitud;
	uint32_t decena = 1;
	float resultado = 0;

	for (i=longitud;i>0;i--)
	{
		if (numero[i-1] == '-') { resultado = -1 * resultado; }
		else
		{
			if (numero[i-1] == '.' || numero[i-1]==',')  punto_decimal = i;// hemos encontrado el punto decimal
			else {
				resultado = resultado + ((numero[i-1]-48) * decena);
				decena = decena * 10;
			}
		}
	}

	return resultado / pow(10,(longitud-punto_decimal));   // devolvemos el número calculando los decimales

}

